%define upstream_name    Dist-Zilla-PluginBundle-AJGB
%define upstream_version 2.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Pod::Weaver configuration for AJGB
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::AutoMetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::ConfirmRelease)
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::EOLTests)
BuildRequires: perl(Dist::Zilla::Plugin::ExecDir)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Check)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Commit)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Push)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag)
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide)
BuildRequires: perl(Dist::Zilla::Plugin::KwaliteeTests)
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::Manifest)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::NoTabsTests)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ShareDir)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Kwalitee)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Portability)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Synopsis)
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the plugin bundle for AJGB. It's an equivalent to:

    [@Basic]

    [AutoMetaResources]
    bugtracker.rt = 1
    repository.github = user:ajgb
    homepage = https://metacpan.org/dist/%{dist}

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.40.0-6.mga9
+ Revision: 1803105
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.40.0-5.mga8
+ Revision: 1494135
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.40.0-4.mga7
+ Revision: 1267298
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.40.0-3.mga6
+ Revision: 1025846
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.40.0-2.mga6
+ Revision: 967810
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 2.40.0-1.mga6
+ Revision: 850318
- update to 2.04

* Wed Oct 15 2014 umeabot <umeabot> 2.30.0-4.mga5
+ Revision: 746508
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.30.0-2.mga4
+ Revision: 526975
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.30.0-1.mga4
+ Revision: 439185
- update to 2.03

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-2.mga3
+ Revision: 366556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 2.20.0-1.mga3
+ Revision: 255399
- update to 2.02

* Tue Mar 15 2011 jquelin <jquelin> 1.103.270-1.mga1
+ Revision: 71696
- imported package perl-Dist-Zilla-PluginBundle-AJGB


* Tue Mar 15 2011 cpan2dist 1.103270-1mga
- initial mageia release, generated with cpan2dist
